| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Gz
Gz._file

# Method Gz._file()->seek()

Method seek

  `int seek(int pos, void|int type)`

Description

  Seeks within the file.

Parameter `pos`

  Position relative to the searchtype.

Parameter `type`

  SEEK_SET = set current position in file to pos SEEK_CUR = new position is current+pos SEEK_END is not supported.

Returns

  New position or negative number if seek failed.